Не удалось установить R Studio [duplicate]

7
    

У этого вопроса уже есть ответ:

    
  •              Как автоматически получать недостающие зависимости при установке программного обеспечения из .deb ? [Дубликат]                                      7 ответов                          
  •         
  •              Как разрешить 'dpkg -i' устанавливать зависимости для меня?                                      9 ответов                          
  •     

Я попытался установить RStudio после установки R в Ubuntu. Когда я щелкнул, чтобы установить через Ubuntu software , нажатие кнопки установки ничего не делает. Но иногда, когда я нажимаю его, он начинает загружаться, и через некоторое время он говорит rstudio installed . Но он не установлен.

Поэтому я установил его через терминал, используя:

$ sudo dpkg -i rstudio-0.99.902-i386.deb 
Selecting previously unselected package rstudio.
(Reading database ... 175645 files and directories currently installed.)
Preparing to unpack rstudio-0.99.902-i386.deb ...
Unpacking rstudio (0.99.902) ...
dpkg: dependency problems prevent configuration of rstudio:
 rstudio depends on libjpeg62; however:
  Package libjpeg62 is not installed.
 rstudio depends on libgstreamer0.10-0; however:
  Package libgstreamer0.10-0 is not installed.
 rstudio depends on libgstreamer-plugins-base0.10-0; however:
  Package libgstreamer-plugins-base0.10-0 is not installed.

dpkg: error processing package rstudio (--install):
 dependency problems - leaving unconfigured
Processing triggers for shared-mime-info (1.5-2) ...
Processing triggers for gnome-menus (3.13.3-6ubuntu3) ...
Processing triggers for desktop-file-utils (0.22-1ubuntu5) ...
Processing triggers for bamfdaemon (0.5.3~bzr0+16.04.20160415-0ubuntu1) ...
Rebuilding /usr/share/applications/bamf-2.index...
Processing triggers for mime-support (3.59ubuntu1) ...
Processing triggers for hicolor-icon-theme (0.15-0ubuntu1) ...
Errors were encountered while processing:
 rstudio

Каковы шаги по исправлению этой ошибки?

    
задан Qwertford 09.06.2016 в 15:14
источник

5 ответов

13

Установка из файла .deb через dpkg не разрешает проблемы с зависимостями так же, как установка через apt будет. После запуска sudo dpkg -i yourpackage.deb вы должны запустить sudo apt-get install -f , чтобы исправить и завершить установку, если были обнаружены ошибки dpkg .

    
ответ дан user323419 09.06.2016 в 15:37
источник
4

Лучше всего использовать gdebi для установки RStudio. Он автоматически разрешает зависимости (в отличие от dpkg ).

sudo apt-get install gdebi-core
sudo gdebi rstudio-0.99.902-i386.deb

На самом деле, это то, что сами RStudio рекомендует для установки rstudio-server .

    
ответ дан amc 14.06.2016 в 02:54
0

Для меня это сработало вот так:

Добавьте следующую запись в файл /etc/apt/sources.list

deb https://cran.cnr.berkeley.edu/bin/linux/ubuntu xenial/

Все зеркала указаны здесь :

Вы можете узнать свой соответствующий выпуск Ubuntu, выполнив это в командной строке

lsb_release -a

После этого

sudo apt-get update
sudo apt-get install r-base
    
ответ дан Ashu 26.06.2017 в 15:34
0

У меня была такая же проблема, но я загрузил зависимость из ссылки ниже

Ссылка

, за которым следует

sudo apt-get update

После загрузки заархивированного файла используйте

sudo dpkg -i libjpeg62-turbo_1.5.1-2_amd64.deb

, чтобы установить файл deb для решения проблем с зависимостями.

После этого попробуйте установить студию R с помощью

sudo dpkg -i rstudio-xenial-1.1.379-amd64.deb

, и это должно решить проблему. Это должно решить проблему и даже если ваш установщик программного обеспечения на ubuntu не работает.

Пожалуйста, и в случае, если вы увидите какие-либо другие зависимости, которые вам нужно скачать, просто загрузите их и используйте описанную выше процедуру, и она должна работать. надеюсь, что это сработает для вас.

    
ответ дан kobby 07.10.2017 в 19:20
-1

Для меня это сработало, когда я установил следующие зависимости:

libgstreamer-плагинов-base0.10-0_0.10.36-2ubuntu0.1_amd64.deb libgstreamer0.10-0_0.10.36-1.5ubuntu1_amd64.deb libjpeg62-turbo_1.5.2-2 + b1_amd64.deb

Все из Ссылка

    
ответ дан Ordanini 12.12.2017 в 22:32